# ansible

## Ansible Control Node Setup

In a Python 3 environment (perhaps a venv):

```
pip install -r requirements.txt
```

## `misc.yaml`

Server for miscellaneous stuff, e.g. the website.
Expects to have a user `andi` who can `sudo`.
Sets up:

- Some basic packages
- Docker and `docker-compose` (the latter via `pip`)
- Nix multi-user installation

## `misc-docker.yaml`

- Deploys Docker configurations from `../docker`

## `misc-sites.yaml`

Checks out static sites into `/home/paul/Sites` which is mounted into `/srv` in the Caddy container.
